airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AIRFLOW-1180) Fix flask-wtf version in setup.py for test_csrf_rejection
Date Sat, 13 May 2017 19:04:04 GMT

    [ https://issues.apache.org/jira/browse/AIRFLOW-1180?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16009465#comment-16009465
] 

ASF subversion and git services commented on AIRFLOW-1180:
----------------------------------------------------------

Commit ae61987945774ea2f9df53eaedac87fb378234a4 in incubator-airflow's branch refs/heads/master
from [~sekikn]
[ https://git-wip-us.apache.org/repos/asf?p=incubator-airflow.git;h=ae61987 ]

[AIRFLOW-1180] Fix flask-wtf version for test_csrf_rejection

For now, SecurityTests.test_csrf_rejection fails
because flask-wtf version specified in setup.py is
too old.
This PR fixes it.

Closes #2280 from sekikn/AIRFLOW-1180


> Fix flask-wtf version in setup.py for test_csrf_rejection
> ---------------------------------------------------------
>
>                 Key: AIRFLOW-1180
>                 URL: https://issues.apache.org/jira/browse/AIRFLOW-1180
>             Project: Apache Airflow
>          Issue Type: Bug
>            Reporter: Kengo Seki
>            Assignee: Kengo Seki
>
> I locally ran the core tests and got the following error:
> {code}
> FAIL: test_csrf_rejection (tests.core.SecurityTests)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/home/vagrant/incubator-airflow/tests/core.py", line 1530, in test_csrf_rejection
>     self.assertIn('CSRF token is missing', response.data.decode('utf-8'))
> AssertionError: 'CSRF token is missing' not found in u'<!DOCTYPE HTML PUBLIC "-//W3C//DTD
HTML 3.2 Final//EN">\n<title>400 Bad Request</title>\n<h1>Bad Request</h1>\n<p>CSRF
token missing or incorrect.</p>\n'
> {code}
> [The expected string is added from Flask-WTF v0.14|https://github.com/lepture/flask-wtf/issues/239],
but its version specified in setup.py is v0.12. So this test failed.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message